<%@ Page Language="C#" AutoEventWireup="true" CodeFile="IOType_List.aspx.cs" Inherits="Component_AdvancedSearch_IOType_List" %>
<%@ Register Src="~/Scripts/AWGridRuntime/UserControl/ListHeader.ascx" TagPrefix="uc1" TagName="ListHeader" %>
<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <title>选择</title>
    <uc1:ListHeader runat="server" ID="ListHeader" />
    <script type="text/javascript">
        var category;
        var iot_flag = '<%=xview["iot_flag"]%>';
        //搜索
        function search() {
            var fg = document.getElementById("frame_tree");
            var keyword = $("#keyword").val();
            var url = "IOType_Tree.aspx?keyword=" + escape(keyword) + "&iot_flag=" + iot_flag;
            fg.src = url;
        }
        //选择
        function select_tree() {
            parent.asyncbox.opener('win_modify').SearchService_IOType(category);
            CloseDivWin(); //关闭窗口
        }
    </script>
</head>
<body onload="search()">
    <!--工具栏-->
    <div style="height:30px;" class="list_menu_bar">
        <input type="text" class="edit_text_box" id="keyword" value="<%=keyword%>"/>
        <a href="javascript:search()" plain="true" class="easyui-linkbutton" iconcls="icon-search">搜索</a>
    </div>
    <div class="div_frame_only_tree">
        <!--Tree控件所在的iframe-->
        <iframe scrolling="auto" id="frame_tree" frameborder="0" style="width:100%;height:100%;"></iframe>
    </div>
    <script type="text/javascript">
        //搜索框回车事件
        $('#keyword').keyup(function (e) {
            if (e.keyCode == 13) {
                search();
            }
        });
        $('#keyword').focus();
    </script>
</body>
</html>
